Bug 890717

Summary: Review Request: evas-generic-loaders - Extra loaders for GPL loaders and unstable libraries.
Product: [Fedora] Fedora Reporter: Rahul Sundaram <metherid>
Component: Package ReviewAssignee: Michael Scherer <misc>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: misc, notting
Target Milestone: ---Flags: misc: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-01-02 04:35:15 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 998774    

Description Rahul Sundaram 2012-12-28 22:48:28 EST
Spec URL: http://sundaram.fedorapeople.org/packages/evas-generic-loaders.spec
SRPM URL: http://sundaram.fedorapeople.org/packages/evas-generic-loaders-1.7.4-1.fc18.src.rpm

Description:
Extra loaders for GPL loaders and unstable libraries.

Fedora Account System Username:sundaram

Note: scratch build at

http://koji.fedoraproject.org/koji/taskinfo?taskID=4824312

Evas, part of the enlightenment project is already in Fedora repo and is a canvas API (similar to Cairo).  This is a set of extensions/plugins to Evas
Comment 1 Michael Scherer 2012-12-29 10:02:41 EST
From a quick check, the spec look fine, so let's start the formal review
Comment 2 Michael Scherer 2012-12-29 10:20:22 EST
* I personally think the BuildRequires are easier to view with 1 BR per line (especially for patch or diff )

BuildRequires: libeina-devel >= %version  gstreamer-plugins-base-devel 
BuildRequires: gstreamer-devel poppler-devel LibRaw-devel librsvg2-devel 
BuildRequires: libspectre-devel zlib-devel

* Also, gstreamer-plugins-base-devel already pull gstreamer-devel.

* And the directory %_libdir/evas is already provided by evas, so I am not sure it should also be provided by this rpm ( on the other hand, it doesn't seems that evas is required somewhere in the deps chain )

* the configure complain about :
configure: WARNING: unrecognized options: --disable-static
Comment 3 Rahul Sundaram 2012-12-30 18:23:43 EST
http://sundaram.fedorapeople.org/packages/evas-generic-loaders.spec
http://sundaram.fedorapeople.org/packages/evas-generic-loaders-1.7.4-2.fc18.src.rpm

Haven't split up BR's since I prefer a logical grouping to line by line.  Let me know if you have any other suggestions.  Thanks.
Comment 4 Michael Scherer 2012-12-30 19:26:28 EST
Reading the source code, I see there is some embedded code from the gimp, the function gimp_hls_value is from the gimp, but it as copied around on a few project, according to a quick search on google ( for example, gphoto2 ).

Given the function is rather trivial and already present on various software, I guess we can just forget it. 

But the package is good, here is the review, and the package is approved.


Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "*No copyright* GPL (v2 or later) (with incorrect FSF address)", "GPL (v2
     or later)", "Unknown or generated". 3 files have unknown license.
     Detailed output of licensecheck in
     /home/misc/checkout/git/FedoraReview/890717-evas-generic-
     loaders/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 30720 bytes in 3 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[x]: Dist tag is present.
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: evas-generic-loaders-1.7.4-2.fc19.x86_64.rpm
evas-generic-loaders.x86_64: E: incorrect-fsf-address /usr/share/doc/evas-generic-loaders-1.7.4/COPYING
1 packages and 0 specfiles checked; 1 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint evas-generic-loaders
evas-generic-loaders.x86_64: E: incorrect-fsf-address /usr/share/doc/evas-generic-loaders-1.7.4/COPYING
1 packages and 0 specfiles checked; 1 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
evas-generic-loaders (rpmlib, GLIBC filtered):
    evas
    libc.so.6()(64bit)
    libcairo.so.2()(64bit)
    libeina.so.1()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgmodule-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgomp.so.1()(64bit)
    libgstreamer-0.10.so.0()(64bit)
    libgthread-2.0.so.0()(64bit)
    liblcms2.so.2()(64bit)
    libm.so.6()(64bit)
    libpoppler.so.26()(64bit)
    libpthread.so.0()(64bit)
    libraw.so.5()(64bit)
    librsvg-2.so.2()(64bit)
    librt.so.1()(64bit)
    libspectre.so.1()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libxml2.so.2()(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)



Provides
--------
evas-generic-loaders:
    evas-generic-loaders
    evas-generic-loaders(x86-64)



MD5-sum check
-------------
http://download.enlightenment.org/releases/evas_generic_loaders-1.7.4.tar.bz2 :
  CHECKSUM(SHA256) this package     : 85779f33e8ad483a9b849a74be8ca3aae22127138a325bae0f079133b2fe4e7c
  CHECKSUM(SHA256) upstream package : 85779f33e8ad483a9b849a74be8ca3aae22127138a325bae0f079133b2fe4e7c


Generated by fedora-review 0.2.0 (Unknown) last change: Unknown
Buildroot used: fedora-rawhide-x86_64
Command line :./try-fedora-review -m fedora-rawhide-x86_64 -b 890717
Comment 5 Michael Scherer 2012-12-30 19:45:39 EST
Also, that's nitpicking, but the guideline recommend to use %{?dist}, not %{dist} ( https://fedoraproject.org/wiki/Packaging:DistTag ).

Didn't see why f-r complained about that, but after looking, that's the reason.
Comment 6 Rahul Sundaram 2012-12-30 20:29:15 EST
Thanks.  That is indeed something I will fix before importing.  

New Package SCM Request
=======================
Package Name: evas-generic-loaders
Short Description: Extra loaders for GPL loaders and unstable libraries
Owners: sundaram
Branches: f18
InitialCC:
Comment 7 Jon Ciesla 2013-01-01 15:25:51 EST
Git done (by process-git-requests).
Comment 8 Rahul Sundaram 2013-01-02 04:35:15 EST
Fixed dist macro.  committed and built for Rawhide.  f18 will probably come in later. Thanks.